// Arquivo de exemplo: NextMatch.cs
// Para compilar utilize: csc NextMatch.cs
using System;
using System.Text.RegularExpressions;

public class NextMatch1 {
	public static void Main() {
		Regex reg = new Regex(@"\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*");
		string buscar="Este é o meu e-mail asprs@bol.com.br; não é meu e-mail asp.net@empresa.com";
		Match a = reg.Match(buscar);
		while( a.Success ) {
			Console.WriteLine(a.Value);
			a = a.NextMatch();
		}
		Console.Read();
	}
}
